% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{mouse_to_human_homologs}
\alias{mouse_to_human_homologs}
\title{Table of Human-->Mouse orthologs for all human genes}
\format{An object of class \code{data.frame} with 21508 rows and 6 columns.}
\usage{
mouse_to_human_homologs
}
\description{
A dataset containing the MGI and HGNC symbols, Human and Mouse Entrez and Ensembl gene IDs for all human
orthologs for mouse genes. Whenin the mouse genes are defined based on a list of all MGI markers from the
MGI website (downloaded as MRK_List2.rpt file from http://goo.gl/mjf2GQ)
}
\examples{
\dontrun{
## The code to prepare the .Rda file file from the marker file is:
markers = read.csv("MRK_List2.rpt",sep="\\t")
genes = markers[markers$Feature.Type=="protein coding gene",]
listMarts(host="www.ensembl.org")
human <- useMart(host="www.ensembl.org", "ENSEMBL_MART_ENSEMBL", dataset="hsapiens_gene_ensembl")
mouse <- useMart(host="www.ensembl.org", "ENSEMBL_MART_ENSEMBL", dataset="mmusculus_gene_ensembl")
mouse_to_human_homologs = getLDS(attributes = c("mgi_symbol","entrezgene","ensembl_gene_id"),
                                 filters = "mgi_symbol", values = genes$Marker.Symbol,
                                 mart = mouse,
                                 attributesL = c("hgnc_symbol","ensembl_gene_id","entrezgene"), martL = human)
save(mouse_to_human_homologs,file="mouse_to_human_homologs.Rda")
}

}
\keyword{datasets}

