% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/read_celltype_data.R
\name{read_celltype_data}
\alias{read_celltype_data}
\title{Read single cell transcriptome data}
\usage{
read_celltype_data(path)
}
\arguments{
\item{path}{Path to the file containing the single cell transcriptome data}
}
\value{
A list containing three data frames:
\itemize{
  \item \code{all_scts}: stores the average value for each subcell type found across cells
  \item \code{cell_dists}: proportion of expression for each gene in each cell type
  \item \code{subcell_dists}: proportion of expression for each gene in each subcell type
}
}
\description{
\code{read_celltype_data} loads single cell transcriptome data and determines
for each gene, the proportion of expression found in each celltype
}
\examples{
\donttest{
celltype_data = read_celltype_data("expression_mRNA_17-Aug-2014.txt")
}
}

